<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>align_self</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            body {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }

            body > div {
                display: flex;
                flex-direction: column;
                align-content: center;
                width: 50%;
            }
            .flex {
                background-color: gray;
                display: flex;
                flex-wrap: nowrap;
                align-items: flex-start;
                margin: .5em;
                height: 100px;
                width: 50%;
            }

            .align-center {
                align-items: center;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
            }

            .auto {
                align-self: auto;
            }

            .flex-start {
                align-self: flex-start;
            }

            .flex-end {
                align-self: flex-end;
            }

            .center {
                align-self: center;
            }
            
            .baseline {
                align-self: baseline;
            }

            .stretch {
                align-self: stretch;
            }
        </style>
    </head>
    <body>
        <div>
            <strong>auto:</strong>
            <div class="flex">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="auto">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>flex-start:</strong>
            <div class="flex align-center">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="flex-start">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>flex-end:</strong>
            <div class="flex">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="flex-end">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>center:</strong>
            <div class="flex">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="center">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>baseline:</strong>
            <div class="flex align-center">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="baseline">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>stretch</strong>
            <div class="flex">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div class="stretch">4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
    </body>
</html>